Subject: Re: [Rum] [EXT] Let's get into it

From: "Janett, Amy E." <[email-masked]>
Date: Thu, 25 Jul 2019 20:06:13 +0000

In section 11.2 RUE Configuration Service, there are 2 areas where the example JSON file is malformatted:

1. The “contacts” URL needs a comma at the end of this line:

     "contacts": "https://red.example.net:443/contacts/1dess45awd<https://red.example.net/contacts/1dess45awd>"

2. The objects in the “ice-servers” array need to take a field:value format, not just strings. I propose using either “stun” or “turn” as the field, and using the current string as the value. For example,
"ice-servers": [
          {“stun”:"stun:stun.l.google.com:19302"},
          {“turn”:"turn:turn.red.example.net:3478"}
       ],
Another option would be to use “uri” for the field for both STUN and TURN servers.

From: Rum <[email-masked]> On Behalf Of Brian Rosen
Sent: Tuesday, July 9, 2019 15:48
To: [email-masked]
Subject: [EXT] [Rum] Let's get into it

Please read https://tools.ietf.org/html/draft-rosen-rue-00

Please comment on anything.  I will propose we adopt this as  the basis of our work, but I’m happy to do anything on it before hand.
If it is adopted, chairs will appoint a non-chair editor.

One specific I know about:

The charter discusses re-using the WebRTC media specs.  The most direct way to do that is reference:
For media and media transport:

https://tools.ietf.org/html/draft-ietf-rtcweb-rtp-usage-17
https://tools.ietf.org/html/rfc7874
https://tools.ietf.org/html/rfc7742
https://tools.ietf.org/html/draft-ietf-rtcweb-transports-17

For issues around media security:
https://tools.ietf.org/html/draft-ietf-rtcweb-jsep-25#section-5..1<https://tools.ietf.org/html/draft-ietf-rtcweb-jsep-25#section-5.1>
https://tools.ietf.org/html/draft-ietf-rtcweb-security-arch-18#section-6.5

Paul K made a suggestion that there were the SIP/MMUSIC documents done or in progress that are themselves intended to be compatible with WebRTC.

Preferences?

Brian